<?php namespace App\ViewModels\Arquivo\ArquivoListViewModel;

use App\Utils\Entity;

class ArquivoListViewModel extends Entity
{
    protected $id;
    protected $id_clinica;
    protected $id_medico;
    protected $id_paciente;
    protected $id_pet;
    protected $arquivo;
    protected $descricao;
    protected $tutor_view;
    protected $ext;
    protected $data_criacao;

    public static function builder() : ArquivoListViewModelBuilder
    {
        return (new ArquivoListViewModelBuilder);
    }
    
    public function getDataCriacao(){
        return $this->data_criacao;
    }
    
    public function setDataCriacao($data_criacao): void{
        $this->data_criacao = $data_criacao;
    }

    public function getTutorView()
    {
        return $this->tutor_view;
    }

    public function setTutorView($tutor_view): void
    {
        $this->tutor_view = $tutor_view;
    }

    public function getExt()
    {
    	return $this->ext;
    }
    
    public function setExt($ext): void
    {
    	$this->ext = $ext;
    }
    
    public function getId()
    {
        return $this->id;
    }

    public function setId($id): void
    {
        $this->id = $id;
    }
    
    public function getId_Pet()
    {
    	return $this->id_pet;
    }
    
    public function setId_Pet($idpet): void
    {
    	$this->id_pet = $idpet;
    }

    public function getIdClinica()
    {
        return $this->id_clinica;
    }

    public function setIdClinica($id_clinica): void
    {
        $this->id_clinica = $id_clinica;
    }

    public function getIdMedico()
    {
        return $this->id_medico;
    }

    public function setIdMedico($id_medico): void
    {
        $this->id_medico = $id_medico;
    }

    public function getIdPaciente()
    {
        return $this->id_paciente;
    }

    public function setIdPaciente($id_paciente): void
    {
        $this->id_paciente = $id_paciente;
    }

    public function getDescricao()
    {
        return $this->descricao;
    }

    public function setDescricao($descricao): void
    {
        $this->descricao = $descricao;
    }

    public function getArquivo()
    {
        return $this->arquivo;
    }

    public function setArquivo($arquivo): void
    {
        $this->arquivo = $arquivo;
    }



}